BSD-FAQ-it
Indietro | Capitolo 3. Amministrazione del Sistema | Avanti

# 3.20. Cosa sono i permessi di un file?

Tutti i file hanno dei permessi, come ben si può verificare analizzando l'output di

    % ls -l
    total 122
    -rw-r--r--  1 paperino  paperino   2015 31 Mar 21:03 debiti
    -rw-r--r--  1 paperino  paperino   1513 16 Feb 17:21 sfortune
    drwxr-xr-x  2 paperino  paperino    512  1 Apr 17:02 paperina
    -rw-r--r--  1 paperino  paperino    325 24 Mar 12:56 debitiPDP
    -rw-r--r--  1 paperino  paperino   2839  1 Apr 17:02 lettera
    -rw-r--r--  1 paperino  paperino   2015 31 Mar 13:03 paperinik
    -rw-r--r--  1 paperino  paperino  65058  2 Apr 15:07 Avviso
    -rw-r--r--  1 paperino  paperino  22805 24 Mar 21:54 ciccio.jpg
    -rw-r--r--  1 paperino  paperino    909 26 Mar 14:25 deposito.html
    drwxr-xr-x  2 paperino  paperino   1536  1 Apr 17:00 quiquoqua
    -rwxr--r--  1 paperino  paperino    253 20 Mar 20:55 dormire.sh
    -rw-r--r--  1 paperino  paperino   4234  6 Mar 21:58 mailbox
    -rw-r--r--  1 paperino  paperino   3417  3 Mar 14:27 DaFare
    -rw-r--r--  1 paperino  paperino   1436 23 Mar 14:05 mailtopolino
    drwxr-xr-x  8 paperino  paperino    512 10 Mar 18:12 foto_nonna

Senza spiegare il significato di ogni colonna, reperibile comunque dalla man page di ls(1), diciamo che la prima colonna è quella dei permessi, la terza identifica l'utente proprietario e la quarta il gruppo proprietario. La prima colonna contiene 10 spazi, che possono contenere ognuno un carattere, a loro volta suddivisi in 4 sezioni rispettivamente da 1, 3, 3, 3 spazi ognuna; la prima sezione identifica se la entry in questione è una directory, un link, un socket o un altro tipo di file, la seconda i permessi del proprietario di questo file o directory, la terza i permessi del gruppo proprietario e la quarta i permessi di tutti gli altri utenti. Ogni spazio può contenere uno solo tra i seguenti caratteri:

    d : identifica le directory e può stare solo nella prima sezione
    l : il file in questione e' un link ad un altro file ,solo nella prima sezione
    s : UNIX socket, solo nella prima sezione
    r : permesso di lettura (read), si trova al primo posto della seconda,
        terza e quarta sezione
    w : permesso di scrittura (write), al secondo posto di tutte le
        sezioni tranne la prima
    x : permesso di esecuzione (execution) (o di attraversamento per le
        directory), al terzo posto.

Ad esempio sul file

    -rw-r--r--  1 paperino  paperino   1513 16 Feb 17:21 sfortune

hanno il permesso di lettura sia il proprietario, sia il gruppo, sia tutti gli altri utenti, mentre solo il proprietario può modificarlo in quanto è l'unico ad avere il permesso di scrittura.

Indietro | Partenza | Avanti
Come posso usare la lingua italiana nei programmi che la supportano? | Risali | Come cambio i permessi di un file?